wake-up-neo.com

Ist Tensorflow 1.12 mit CUDA 10.1 kompatibel?

Ich konnte erfolgreich einen Ubuntu 18.04-Server mit nvidia-smi 418.39, Treiberversion 418.39 und CUDA 10.1 einrichten

Ich habe jetzt einen Benutzer, der TensorFlow ausführen möchte, aber darauf besteht, dass es nicht mit CUDA 10.1 kompatibel ist, sondern nur mit CUDA 10. Es gibt keine Erklärung, die dies online bestätigt, und es ist auch in keinem Patch-Versionshinweis von TF enthalten. Da das Einrichten dieses Systems ziemlich mühsam war, zögere ich ein wenig, nur eine Version herunterzustufen.

Hat jemand eine Überprüfung, ob TensorFlow 1.12 mit CUDA 10.1 funktioniert oder nicht?

12
Eric Berry

Ich kann auch bestätigen, dass tf 1.13.1 nicht mit CUDA 10.1 funktioniert. Beim Importieren von Tensorflow wird der folgende Fehler angezeigt

ImportError: libcublas.so.10.0: Freigegebene Objektdatei kann nicht geöffnet werden: Keine solche Datei oder kein solches Verzeichnis

wenn Sie ldconfig -v ausführen, wird der Unterschied zwischen libcublas.so.10.0 und libcublas.so.10.1.0.105 angezeigt

1
Fisa